namespace CSR.Domain.Entities;

public record Role
{
  public int Id { get; private set; }
  public string Name { get; private set; }

  private Role(int id, string name)
  {
    Id = id;
    Name = name;
  }

  internal static Role LoadExisting(int id, string name)
  {
    return new Role(id, name);
  }

  public static Role Admin
  {
    get
    {
      return new Role(1, "Admin");
    }
  }
  public static Role User
  {
    get
    {
      return new Role(2, "User");
    }
  }
}
